## aHR0cHM6Ly9naXRodWIuY29tL3B5ZGlvL3B5ZGlvLWNvcmUvYXJjaGl2ZS9yZWZzL3RhZ3MvcHlkaW8tY29yZS04LjIuMi50YXIuZ3o

=== dist/deb-pydio/Makefile ===
# Very basic Makefile

DESTDIR		= /
DIST		= ##DIST##
URGENCY		= high
KEY_ID		= ##KEY_ID##

MAKE_OPTS	= -s -w

INSTALL		= /usr/bin/install

builddeb:
		dpkg-buildpackage -rfakeroot -k${KEY_ID}

checkdeb:
		lintian --checksums --color auto -v -i  ../`parsechangelog | grep ^Source | awk '{print $$2}'`_`parsechangelog | grep ^Version | awk '{print $$2}'`_*.deb

newversion:
		debchange --changelog debian/changelog -i --urgency $(URGENCY)
changelog:
		debchange --changelog debian/changelog --force-distribution $(DIST) --urgency $(URGENCY) -r
		debchange --changelog debian/changelog -a

=== dist/deb-pydio/debian/control ===
Source: pydio
Section: admin
Priority: important
Maintainer: Charles du Jeu <charles@pyd.io>
Build-Depends: debhelper (>=7.0.15)
Standards-Version: 3.8.0

Package: pydio
Architecture: all
Homepage: http://pyd.io
Depends: libapache2-mod-php5 | php5-cgi | php5, php5-gd, php5-mcrypt, php5-intl
Recommends: apache2 | lighttpd | httpd, php5-cli
Suggests: php5-ldap 
Description: Build your own box on your own servers with Pydio.
 .

=== dist/deb/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

REVISION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/.*-//')
VERSION	:= $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/-.*//')

d = debian/ajaxplorer

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_link

#	$(MAKE) install DESTDIR=$(CURDIR)/$d
# build architecture-independent files
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs 
	dh_install --sourcedir=ajaxplorer-core-$(VERSION)
	cp debian/conf/apache2.conf $(d)/usr/share/doc/ajaxplorer/apache2.sample.conf
	dh_lintian
	dh_fixperms
	tar -zcvf $(d)/usr/share/doc/ajaxplorer/all_other_lics.gz `find $(d) -type f -iname "*license*"`
	find $(d) -type f -iname "*licen*e*" -exec rm {} \;
	dh_installchangelogs
	dh_installdocs
	rm $(d)/usr/share/doc/ajaxplorer/INSTALL.txt
	dh_installdebconf
	dh_compress
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# build architecture-dependent files
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
